<mat-card>
  <mat-spinner *ngIf="isLoading" ></mat-spinner>
  <form *ngIf="!isLoading" [formGroup]="form" (submit)="onAddSetting()" >
    <ul>
      <li><mat-checkbox   formControlName="disableAdd"   >Disable Add</mat-checkbox></li>
      <li><mat-checkbox   formControlName="disableEdit"  >Disable Edit</mat-checkbox></li>
      <li><mat-checkbox   formControlName="disableDelete"  >Disable Delete</mat-checkbox></li>
      <li><mat-checkbox   formControlName="disableView"  >Disable View</mat-checkbox></li>
    </ul>
    <button mat-raised-button color="primary" type="submit" style="margin-left:50px;"  >Save</button>
  </form>
</mat-card>
